com.informix.csm

## Class IfxCsmReadBuffer

- java.lang.Object
- - java.io.InputStream
  - - java.io.ByteArrayInputStream
    - - com.informix.csm.IfxCsmReadBuffer

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class IfxCsmReadBuffer
    extends java.io.ByteArrayInputStream

### Field Summary

### Fields inherited from class java.io.ByteArrayInputStream

`buf, count, mark, pos`

### Constructor Summary

Constructors
Constructor and Description
`IfxCsmReadBuffer(byte[] buf)`
`IfxCsmReadBuffer(byte[] buf, int offset, int length)`
`IfxCsmReadBuffer(IfxCsmBuffer writeBuff)` creates a readBuffer from IfxCsmBuffer.

### Method Summary

Methods
`byte[]` `getBuf()`
`int` `getCount()`
`byte[]` `readFully()`

### Methods inherited from class java.io.ByteArrayInputStream

`available, close, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxCsmReadBuffer

    public IfxCsmReadBuffer(byte[] buf)

#### IfxCsmReadBuffer

    public IfxCsmReadBuffer(byte[] buf,
                    int offset,
                    int length)

#### IfxCsmReadBuffer

    public IfxCsmReadBuffer(IfxCsmBuffer writeBuff)

creates a readBuffer from IfxCsmBuffer. Please note that writeBuff IS RESET !

Parameters:
  `writeBuff` -

### Method Detail

#### getBuf

    public byte[] getBuf()

#### getCount

    public int getCount()

#### readFully

    public byte[] readFully()